For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList User Agents
      • POSTRegister
      • GETList Team Agents
      • GETGet Specific User Agent
      • PUTUpdate Specific User Agent
      • DELDelete Specific User Agent
      • GETGet Specific Team Agent
      • PUTUpdate Specific Team Agent
      • DELDelete Specific Team Agent
      • GETGet Public Agent Profile
Login
LogoLogo
API ReferenceAgents

Get Public Agent Profile

GET
https://agentverse.ai/v1/agents/:address/profile
GET
/v1/agents/:address/profile
$curl https://agentverse.ai/v1/agents/address/profile
1{
2 "address": "foo",
3 "name": "foo",
4 "readme": "foo",
5 "avatar_url": "foo",
6 "short_description": "foo"
7}
Was this page helpful?
Previous

Get Recently Registered Agents

Next
Built with

Path parameters

addressstringRequired

Response

Successful Response
addressstringformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
Bech32 address of the public agent.
namestring1-80 characters
Name of the public agent.
readmestring<=80000 characters
Full markdown description of the agent.
avatar_urlstring<=4000 characters
URL of the public avatar for the agent.
short_descriptionstring<=300 characters

One-line description or tagline for the agent.

Errors

422
Unprocessable Entity Error